<?php

namespace App\Console;

use App\Service\DatabaseService;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

#[AsCommand('app:permissions:list')]
class ListPermissionsCommand extends Command
{
    public function __construct(
        private readonly DatabaseService $db,
    )
    {
        parent::__construct();
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $dbs = $this->db->listDatabases();

        $output->writeln('List of permissions for user:');
        foreach ($dbs as $db) {
            $output->writeln(sprintf(' -%s', $db));
        }

        return Command::SUCCESS;
    }
}